com.independentsoft.exchange

## Enum DayOrder

- java.lang.Object
- - java.lang.Enum<DayOrder>
  - - com.independentsoft.exchange.DayOrder

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DayOrder>

      public enum DayOrder
      extends java.lang.Enum<DayOrder>

  Represents the nth occurrence of the day specified in the DayOfWeek (TimeZone) element that represents the date of transition from and to standard time and daylight saving time.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FIRST` First.
    `FOURTH` Fourth.
    `LAST` Last.
    `SECOND` Second.
    `THIRD` Third.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DayOrder` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DayOrder[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FIRST

          public static final DayOrder FIRST

      First.

    - #### SECOND

          public static final DayOrder SECOND

      Second.

    - #### THIRD

          public static final DayOrder THIRD

      Third.

    - #### FOURTH

          public static final DayOrder FOURTH

      Fourth.

    - #### LAST

          public static final DayOrder LAST

      Last.

  - ### Method Detail

    - #### values

          public static DayOrder[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DayOrder c : DayOrder.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DayOrder valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null